package wxcard

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcard"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card/list wxcard GetWxCardList
//
// Get wx card list | 获取WxCard列表
//
// Get wx card list | 获取WxCard列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardListReq
//
// Responses:
//  200: WxCardListResp

func GetWxCardListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcard.NewGetWxCardListLogic(r.Context(), svcCtx)
		resp, err := l.GetWxCardList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
